#include "points.hpp"

#include <algorithm>
#include <ranges>

/**
 * \brief Call std::stod, but interpret an empty string or "-" as 0.
 */
Points stringToPoints(std::string s) noexcept(false) {

    if (s.empty() || s == "-")
        return Points{0.};
    // dynexite file might use dot or comma as decimal separator
    std::ranges::replace(s, ',', '.');
    return Points{std::stod(s)};
}
