#include "input_window.hpp"

#include "view/main_window/main_window.hpp"

inline constexpr int csvTabIdx = 0;

InputWindow::InputWindow(const MainWindow &mainWindow, QWidget *parent)
    : QWidget(parent),
      mHandreichungLink(
          "<a "
          "href=\"https://www.rwth-aachen.de/global/"
          "show_document.asp?id=aaaaaaaaacxybai\">Document that details how to "
          "grade multiple choice exams (in German)</a>"),
      mLayout(this) {

    setWindowTitle("Select files...");

    // Link to Handreichung
    mHandreichungLink.setTextFormat(Qt::RichText);
    mHandreichungLink.setOpenExternalLinks(true);
    mHandreichungLink.setTextInteractionFlags(Qt::TextBrowserInteraction);
    mHandreichungLink.setWordWrap(true);

    // Tab for every type of file import
    mTabs.addTab(&mInputCsvSingle, "Standard (.csv)");
    mTabs.addTab(&mInputD2R, "All in one (.d2r)");
    mTabs.setCurrentIndex(csvTabIdx);

    mLayout.addWidget(&mHandreichungLink);
    mLayout.addWidget(&mTabs);

    // Notify main window when a tab has imported input files
    connect(&mInputCsvSingle, &InputTabCsvSingleCohort::inputTabFilesImported,
            &mainWindow, &MainWindow::resetToInputFiles);
    connect(&mInputD2R, &InputTabD2R::inputTabFilesImported, &mainWindow,
            &MainWindow::resetToInputFiles);
    // add other tabs here once implemented
}
