#pragma once

#include "data/nodes/dynexite_exam.hpp"
#include "model/grade_model.hpp"
#include "util/storage_helper.hpp"

#include <QChartView>
#include <QList>

class QValueAxis;
class QBarSet;

class GradeHistogram : public QChartView {
    Q_OBJECT
public:
    explicit GradeHistogram(const QList<GradingType> &gradingTypes,
                            QWidget *parent = nullptr);

    void handleResize(QRectF plotArea);

public slots:
    void gradesChanged(const EnumStorage<bool> &types);

private:
    void updateYAxis();

    void updateBarLabelSize();

    /* todo: if it's already a QList, might as well make them member objects
     * instead of pointers */
    QList<GradeModel *> mModels{};

    // store pointers for convenience
    QList<QBarSet *> mBarSets{};
    QValueAxis *mAxisY;

    QRectF mPlotArea;
};
