#pragma once

#include "data/csv_dump.hpp"

#include <memory>
#include <string>
#include <utility>
#include <vector>

struct DAG;

// Create const vectors of expensive objects to minimize the amount of times
// they are constructed from scratch during testing.
// Pair them up with the file name they originate from.
const std::vector<std::pair<std::string, std::unique_ptr<const CsvDump>>> &
dynexiteCsvs();

const std::vector<std::pair<std::string, std::unique_ptr<const CsvDump>>> &
rwthOnlineCsvs();

const std::vector<std::pair<std::string, DAG>> &exams();
